{-  
 *  Programmer:	Piotr Borek
 *  E-mail:     piotrborek@op.pl
 *  Copyright 2014 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-}

module Mp.Configuration.ConfigurationFile where

defaultConfiguration :: String -> String
defaultConfiguration home_dir =
    "# mp configuration file\n" ++
    "\n" ++
    "[general]\n" ++
    "music_dir = " ++ home_dir ++ "\n\n" ++
    "[colors]\n" ++
    "# Valid colors :\n" ++
    "#   black\n" ++
    "#   white\n" ++
    "#   cyan\n" ++
    "#   magenta\n" ++
    "#   blue\n" ++
    "#   yellow\n" ++
    "#   green\n" ++
    "#   red\n" ++
    "#\n" ++
    "#   Additional colors for foreground:\n" ++
    "#\n" ++
    "#   brightBlack\n" ++
    "#   brightYellow\n" ++
    "#   brightGreen\n" ++
    "#   brightRed\n" ++
    "#   brightBlue\n" ++
    "#   brightWhite\n" ++
    "#   brightCyan\n" ++
    "#   brightMagenta\n" ++
    "tab_foreground               = black\n" ++
    "tab_background               = green\n" ++
    "tab_active_foreground        = brightWhite\n" ++
    "tab_active_background        = blue\n" ++
    "\n" ++
    "status_foreground            = brightWhite\n" ++
    "status_background            = blue\n" ++
    "\n" ++
    "help_foreground              = white\n" ++
    "help_background              = black\n" ++
    "\n" ++
    "browser_background           = black\n" ++
    "browser_dir_foreground       = brightWhite\n" ++
    "browser_file_foreground      = white\n" ++
    "browser_active_background    = yellow\n" ++
    "browser_selected_foreground  = brightCyan\n" ++
    "\n" ++
    "queue_foreground             = white\n" ++
    "queue_background             = black\n" ++
    "queue_active_background      = yellow\n" ++
    "queue_selected_foreground    = brightCyan\n" ++
    "\n" ++
    "playlist_background          = black\n" ++
    "playlist_foreground          = brightWhite\n" ++
    "playlist_file_foreground     = white\n" ++
    "playlist_selected_foreground = brightCyan\n" ++
    "playlist_active_background   = yellow\n" ++
    "\n" ++
    "edit_background              = black\n" ++
    "edit_foreground              = brightWhite\n"
